Subject: [aqm] OPS-DIR review of draft-ietf-aqm-ecn-benefits-06

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 12 Oct 2015 14:02:02 +0000

Hi,

I have reviewed draft-ietf-aqm-ecn-benefits-06 as part of the Operational directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written with the intent of improving the operational aspects of the IETF drafts. Comments that are not addressed in last call may be included in AD reviews during the IESG review.  Document editors and WG chairs should treat these comments just like any other last call comments.

I believe the document is 'Ready' for publication.

This document is a little bit more than its title says 'The Benefits of using Explicit Congestion Notification (ECN'. ECN was actually defined about 15 years ago, and this document describes its benefits but also provides valuable information as well as recommendations for implementation in network devices and hosts and for deployment in the Internet and in controlled environments. This document is informational, no new protocol is defined, so that an RFC 5706 review would not apply. However, the information in the document is interesting and important for operators.

The following three comments are editorial in nature, triggered by difficulties in understanding some of the information (otherwise clearly presented):

1.       It would be useful to break the definition of 'ECN-capable' in two separate definitions for 'ECN-capable packet' and 'ECN-capable network device'. It also would be good to copy or refer the definition of ECN codepoint from RFC 3168.

2.       Section 2.5 uses both CE-marking and ECN-marking terms. They are meant to be synonymous, so chosing one of them would make the text more clear

3.        Sections 4.3 and 5 uses the following phrase about endpoints - 'it can ... conservatively react to congestion'. Please explain what this means.

Regards,

Dan